/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: MClickButton.c /main/7 1995/07/14 11:41:26 drk $"
#endif
#endif
/***********************************************************************
  	@(#)MClickButton.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/30/90 SJS add to sccs
	Calls:

	Summary:
        Simulate a user clicking the mouse button multiple times

        INPUTS:
            modifier_keys - ShiftMask, LockMask, ControlMask, Mod1Mask, etc.
            button_num    - Mouse button number 1 through 5
            num_clicks    - Number of times to click the mouse button
        
        OUTPUTS:
            none

        RETURNS:
            nothing
************************************************************************/

#include "xislib.h"

void xisMultiClickMouseButton(modifier_keys,button_num,num_clicks)
unsigned int modifier_keys;
int button_num;
int num_clicks;
{
    xisCommonButtonPress(modifier_keys,button_num,num_clicks);

} /* End xisMultiClickMouseButton() */
