/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: FWriteLong.c /main/7 1995/07/14 11:44:27 drk $"
#endif
#endif
/***********************************************************************
  	@(#)FWriteLong.c	1.4.1.1	Date:1/22/91
  	Author: TAT
	History:
	   03/30/90 SJS Add to sccs tree
	Calls:

	Summary:
            Write a 4-byte integer to a file in an architecture independent way.

            INPUTS
                fd - file descriptor
                value - 4-byte (or more) value

            OUTPUTS
                none

            RETURNS
                nothing
************************************************************************/
#include "vislib.h"

void fwrite_long(fd,value)
FILE *fd;
unsigned long value;
{
    unsigned short value1,value2;

    /* split long into 2 shorts */

    value1 = (value>>16) & 0xFFFF;
    value2 = value & 0xFFFF;

    /* force into most signif byte first format */

    fwrite_short(fd,(unsigned int)value1); /* most sig word first */
    fwrite_short(fd,(unsigned int)value2); 

} /* End fwrite_long() */
