/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: Form14.c /main/7 1995/07/13 17:36:02 drk $"
#endif
#endif
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

/*
 *  Create three arrows in a form such that they horizontally span
 *  the form; 10% - 30%, 40 - 60% and 70% to 90%.  Also set the
 *  top offset for arrow1 and arrow2.  Set the bottom offset for
 *  arrow3.
 */

#include <signal.h>
#include <X11/StringDefs.h>
#include <testlib.h>

/*  Forward declarations  */

/*  main  */

void main (argc, argv)
unsigned int argc;
char **argv;
{
   Widget frame;
   Widget form;
   Widget arrow1;
   Widget arrow2;
   Widget arrow3;
   Arg args[10];
   int n;

   /*  initialize toolkit  */
   CommonTestInit(argc, argv);
    
   /*
     frame = XmCreateFrame(Shell1,"frame", NULL, 0);
     XtManageChild(frame);
     */

   /*  The form creation.  Contained in an outer frame.  */

   n = 0;

   /*
     XtSetArg (args[n], XmNwidth, 200);		n++;
     XtSetArg (args[n], XmNheight, 100);		n++;
     */

   form = XmCreateForm (Shell1, "form", args, n);
   XtManageChild (form);

   /*  Arguments to the first scrollbar.  */

   n = 0;
   XtSetArg (args[n], XmNleftAttachment, XmATTACH_POSITION);	n++;
   XtSetArg (args[n], XmNleftPosition, 10);			n++;
   XtSetArg (args[n], XmNrightAttachment, XmATTACH_POSITION);	n++;
   XtSetArg (args[n], XmNrightPosition, 30);			n++;
   XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);		n++;
   XtSetArg (args[n], XmNtopOffset, 20);			n++;
   XtSetArg (args[n], XmNwidth, 100);		n++;
   XtSetArg (args[n], XmNheight, 100);		n++;
   arrow1 = XmCreateArrowButton(form, "arrow1", args, n);
   XtManageChild(arrow1);

   n = 0;
   XtSetArg (args[n], XmNleftAttachment, XmATTACH_POSITION);	n++;
   XtSetArg (args[n], XmNleftPosition, 40);			n++;
   XtSetArg (args[n], XmNrightAttachment, XmATTACH_POSITION);	n++;
   XtSetArg (args[n], XmNrightPosition, 60);			n++;
   XtSetArg (args[n], XmNtopAttachment, XmATTACH_FORM);		n++;
   XtSetArg (args[n], XmNtopOffset, 0);				n++;
   XtSetArg (args[n], XmNwidth, 100);		n++;
   XtSetArg (args[n], XmNheight, 100);		n++;
   arrow2 = XmCreateArrowButton(form, "arrow2", args, n);
   XtManageChild(arrow2);

   n = 0;
   XtSetArg (args[n], XmNleftAttachment, XmATTACH_POSITION);	n++;
   XtSetArg (args[n], XmNleftPosition, 70);			n++;
   XtSetArg (args[n], XmNrightAttachment, XmATTACH_POSITION);	n++;
   XtSetArg (args[n], XmNrightPosition, 90);			n++;
   XtSetArg (args[n], XmNbottomAttachment, XmATTACH_FORM);	n++;
   XtSetArg (args[n], XmNbottomOffset, 5);			n++;
   XtSetArg (args[n], XmNwidth, 100);		n++;
   XtSetArg (args[n], XmNheight, 100);		n++;
   arrow3 = XmCreateArrowButton(form, "arrow3", args, n);
   XtManageChild(arrow3);

   XtRealizeWidget (Shell1);

   CommonPause();

   XtAppMainLoop(app_context);
}













