/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: CreateSimple.c /main/7 1995/07/14 11:32:43 drk $"
#endif
#endif
/***********************************************************************
  	@(#)CreateSimple.c	1.2.1.1	Date:1/22/91
  	Author: SJS
	History:
            08/24/90 SJS let's make this its own routine
	Calls:

	Summary:

            Creates the window used for focus setting. This window is
        used as the focus window when focus is set out of the window
        being validated.

        INPUTS

        OUTPUTS
            none

        RETURNS
************************************************************************/

#include "xislib.h"

void xisCreateSimple()
{
    XWMHints wm_hints;
    XSizeHints size_hints;

    xisDummyFocusWindow =
               XCreateSimpleWindow( xisDisplay, xisRootWindow,
                                    DisplayWidth(xisDisplay,xisScreen) - 50,
                                    DisplayHeight(xisDisplay,xisScreen) - 50,
                                    50,50,2,BlackPixel(xisDisplay,xisScreen),
                                    WhitePixel(xisDisplay,xisScreen));

    wm_hints.flags = (InputHint | StateHint);
    wm_hints.input = False;
    wm_hints.initial_state = NormalState;
    XSetWMHints(xisDisplay,xisDummyFocusWindow,&wm_hints);
    size_hints.flags = (USPosition | USSize);
    size_hints.x = DisplayWidth(xisDisplay,xisScreen)-50;
    size_hints.y = DisplayHeight(xisDisplay,xisScreen)-50;
    size_hints.width = 50;
    size_hints.height = 50;
    XSetWMNormalHints(xisDisplay,xisDummyFocusWindow,&size_hints);
    XMapWindow(xisDisplay,xisDummyFocusWindow);

} /* End xisCreateSimple() */
