/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: GetShellWidg.c /main/7 1995/07/14 11:35:34 drk $"
#endif
#endif
/***********************************************************************
  	@(#)GetShellWidg.c	1.3.1.1	Date:1/22/91
  	Author: TAT
	History:
            05/24/90 SJS add to sccs
	Calls:

	Summary:
            Returns the shell of the specified widget.

        INPUTS
            widget

        OUTPUTS
            none

        RETURNS
            widget's shell widget
************************************************************************/
#include "xislib.h"
#include <X11/Shell.h>

Widget xisGetShellWidget(widget)
Widget widget;
{
    Widget tmp_widget;

    if (widget == NULL || widget == None)
        return (Widget)NULL;

    tmp_widget = widget;

    while (tmp_widget != NULL && !XtIsShell(tmp_widget))
        tmp_widget = XtParent(tmp_widget);

    return tmp_widget;    

} /* End xisGetShellWidget() */
