/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: Text3.h /main/9 1995/07/13 19:28:40 drk $ */
/*
*  (c) Copyright 1987, 1988, 1989 HEWLETT-PACKARD COMPANY */

static char starting_string_text[] = "This is the starting string";

/*  After Motif1.1 the function XmTextSetCursorPosition became obsolete. */
#ifndef MOTIF1_1
#define NITEMS	 11
#else
#define NITEMS 12
#endif

#define	GetEditable		1
#define	SetEditable		2
#define	GetMaxLength		3
#define	SetMaxLength		4
#define	GetLastPosition		5
#define	SetInsertionPosition	6
#ifndef MOTIF1_1
#define	GetBaseline		7
#define	XYToPos			8
#define	PosToXY		        9	
#define	GetTopCharacter		10
#define	SetTopCharacter		11
#else
#define	SetCursorPosition	7
#define	GetBaseline		8
#define	XYToPos			9
#define	PosToXY			10
#define	GetTopCharacter		11
#define	SetTopCharacter		12
#endif

/*  Global Variables  */

static char *Textstrings[NITEMS] = {
	"XmTextGetEditable()",
	"XmTextSetEditable()",
	"XmTextGetMaxLength()",
	"XmTextSetMaxLength()",
	"XmTextGetLastPosition()",
	"XmTextSetInsertionPosition()",
#ifdef MOTIF1_1
	"XmTextSetCursorPosition()",
#endif
	"XmTextGetBaseline()",
	"XmTextXYToPos()",
	"XmTextPosToXY()",
	"XmTextGetTopCharacter()",
	"XmTextSetTopCharacter()",
};

static char *CSTextstrings[NITEMS] = {
	"XmCSTextGetEditable()",
	"XmCSTextSetEditable()",
	"XmCSTextGetMaxLength()",
	"XmCSTextSetMaxLength()",
	"XmCSTextGetLastPosition()",
	"XmCSTextSetInsertionPosition()",
#ifdef MOTIF1_1
	"XmCSTextSetCursorPosition()",
#endif
	"XmCSTextGetBaseline()",
	"XmCSTextXYToPos()",
	"XmCSTextPosToXY()",
	"XmCSTextGetTopCharacter()",
	"XmCSTextSetTopCharacter()",
};

Widget	  Scale1, Scale2;
Widget    List1;
Widget    Text1, StatText;
Widget	  Label1, Label2, Label3, Label4, Label5;
Widget	  Form;
Widget	  ToggleB;
Widget 	  ApplyB, ClearB;

static    int	  function;
static    int	  count = 0;
static    int 	  scale1_val = 0;
static    int 	  scale2_val = 0;
static    int       position = 0;

static    Boolean	  torf = True;

/*  Private Functions  */


static void SSelCB_List1(Widget w, XtPointer client_data,
				    	XtPointer call_data);
static void MulSelCB_List2(Widget w, XtPointer client_data,
				     	XtPointer call_data);
static void ApplyCB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void ClearCB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void Scale1CB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void Scale2CB(Widget w, XtPointer client_data,
			       		XtPointer call_data);
static void TorFCB(Widget w, XtPointer client_data,
			       		XtPointer call_data);

