/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
#ifdef REV_INFO
#ifndef lint
static char rcsid[] = "$XConsortium: convenience.c /main/7 1995/07/13 19:57:17 drk $"
#endif
#endif

#include <stdio.h>

/*
 * Error handling
 */

void error_proc(caller, error_string)
char	*caller,
 		*error_string;
{

    fprintf(stderr, "%s\n", error_string);
    fprintf(stderr, "\nTest \"%s\" failed to run to completion.\n", caller);
    fflush(stderr);
    exit(1);

}


/*
 * Summary handling
 */

void summary_proc(caller, errors)
char	*caller;
int		errors;
{

    if(errors)
		fprintf(stdout, "\nTest \"%s\" failed with %d error(s).\n", caller,
				errors);
    else
		fprintf(stdout, "\nTest \"%s\" passed.\n", caller, errors);

    fflush(stdout);

}
