/* 
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
*/ 
/* 
 * HISTORY
*/ 
/*   $XConsortium: Font.h /main/4 1995/07/13 20:33:53 drk $ */

#include <stdio.h>

#include <Mrm/MrmAppl.h>


/* FontList Structure from XmString.c */

typedef struct _XmFontListRec
{
    XFontStruct      *font;
    XmStringCharSet  charset;
}
    XmFontListRec;


/* Name of uid file
 */

String		filename_vec[] =
{
    "dataS.uid"
};

MrmCount	filename_num =
(sizeof(filename_vec) / sizeof(filename_vec[0]));

/*
 * Convenience routine
 */

void		error_proc();
void		compare_fonts();

/*
 * Local declarations
 */

MrmHierarchy	s_MrmHierarchy;
MrmType		class;
MrmCode		type;

Widget		toplevel,
		UIL_widget[4];

Display		*dsp;

XFontStruct	*X_font = NULL,
		*UIL_font[4] = 
		{
		    NULL,
		    NULL,
		    NULL,
		    NULL,
		};

XmFontList	UIL_fontlist[4],
		X_fontlist[4];

String		UIL_font_names[4] =
{
    "font1",
    "font2",
    "font3",
    "font4",
};

String		UIL_widget_names[4] =
{
    "widget1",
    "widget2",
    "widget3",
    "widget4",
};

String		X_font_names[2] =
{
    "8x13bold",
    "variable",
};

XmStringCharSet	X_charsets[2] =
{
    "ISO8859-1",
    "ISO8859-6",
};

char	err_msg[80],
    	error_message[12000];

int	errors;
