/* $XConsortium: xmAuto.h /main/4 1995/07/15 21:14:40 drk $ */
/*
 *  @OSF_COPYRIGHT@
 *  COPYRIGHT NOTICE
 *  Copyright (c) 1990, 1991, 1992, 1993 Open Software Foundation, Inc.
 *  ALL RIGHTS RESERVED (MOTIF). See the file named COPYRIGHT.MOTIF for
 *  the full copyright text.
 */
/*
 * HISTORY
 */

#define MANUAL		0
#define RECORD  	1
#define COMPARE 	2
#define IGNORE  	3
#define FULL		4
#define DUMP		5
#define TRACE		6
#define DELAY		7
#define SCRIPT  	8
#define VISUAL		9
#define INSTRUCT 	10
#define OUTPUT		11
#define COLOR		12
#define EXTRA		13
#define WRITE		14
#define READ 		15

#define MAXLINE		1024

static void CreateLayout();
static void QuitCB();
static void CreateDialogs();
static void ResetFSB();
static void AddTestCB();
static void GetTestNameCB();
static void BuildTestString();
static void SimpleCB();
static void ClearCB();
static void ClearArgs();
static void PromptCB();
static void ReadInCB();
static void WriteOutCB();
static void BrowseCB();
static void SaveToListCB();
static void ChangeFileCB();
static void ChangeFileCB();
static void FileSelectCB();

Widget Label1, List1, ScaleDelay;
Widget ToggleManual, ToggleIgnore;
Widget ToggleRecord, ToggleCompare;
Widget ToggleFull, ToggleTrace, ToggleWinDump;
Widget PromptDialog, FileSelectBox;

static char CurrentTestString[256];
static char LabelString[1024];
static char arguments[256];

static int list_pos = 0;

static Boolean manual = False;
static Boolean record = False;
static Boolean compare = True;
static Boolean ignore = False;

static Boolean full = False;
static Boolean dumps = False;
static Boolean trace = False;

static int delay = 0;
